/* BdfServer_API - Copyright (c) 2009-2021 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.api.ficheform;

import java.util.List;
import net.fichotheque.SubsetItem;
import net.fichotheque.corpus.FicheMeta;


/**
 *
 * @author Vincent Calame
 */
public interface RattachementElement extends FormElement.Include {

    /**
     * Retourne null si le rattachement concerne justement le SubsetItem maitre
     */
    public SubsetItem getMasterSubsetItem();

    public List<FicheMeta> getSatelliteFicheMetaList();

}
