/* FichothequeLib_API - Copyright (c) 2007-2020 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque;

import java.util.List;
import net.fichotheque.corpus.Corpus;


/**
 *
 * @author Vincent Calame
 */
public interface Subset {

    public Fichotheque getFichotheque();

    public SubsetKey getSubsetKey();

    public Metadata getMetadata();

    public SubsetItem getSubsetItemById(int id);

    public int size();

    public List<Corpus> getSatelliteCorpusList();

    public List<SubsetItem> getSubsetItemList();

}
